# App Reference Types App Reference Types ## Gets all of the app reference types in the system. - [GET /appReferenceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/listappreferencetypes.md): This method will scan all app reference types and and return them to the caller. ## Creates a new app reference type record that does not already exist. - [POST /appReferenceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/createappreferencetype.md): This method will auto-generate an ID and create a new app reference type. If an ID is specified for the app reference type, an error will be thrown. ## Returns a app reference type from the system by its ID. - [DELETE /appReferenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/deleteappreferencetype.md): This method will delete a app reference type with the specified ID. ## Returns a app reference type from the system by its ID. - [GET /appReferenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/getappreferencetype.md): This method will look up a app reference type by the specified ID and return it back. ## Partially updates a app reference type with the specified ID. - [PATCH /appReferenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/patchappreferencetype.md): This method will patch an existing app reference type with the specified ID, using the HTTP PATCH specification. ## Updates a app reference type with the specified ID. - [PUT /appReferenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/updateappreferencetype.md): This method will update an existing app reference type with the specified ID.